Package org.gitana.platform.client.tenant

# Interface Tenant

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `RegistrarDocument`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `TenantImpl`

public interface Tenant extends RegistrarDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_BILLING_PAYMENT_METHOD_ID`
`static final String`
`FIELD_BILLING_SUBSCRIPTION_ID`
`static final String`
`FIELD_DEPLOYED_APPLICATION_COUNT`
`static final String`
`FIELD_DNS_SLUG`
`static final String`
`FIELD_DOMAIN_ID`
`static final String`
`FIELD_ENABLED`
`static final String`
`FIELD_PLAN_KEY`
`static final String`
`FIELD_PLATFORM_ID`
`static final String`
`FIELD_PRINCIPAL_ID`
`static final String`
`FIELD_SUBTENANT_COUNT`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeOut()`
`PaymentMethod`
`createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)`
`PaymentMethod`
`createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)`
`String`
`getBillingMethodPaymentId()`
`String`
`getBillingSubscriptionId()`
`int`
`getDeployedApplicationCount()`
`String`
`getDnsSlug()`
`String`
`getDomainId()`
`boolean`
`getEnabled()`
`String`
`getPlanKey()`
`String`
`getPlatformId()`
`String`
`getPrincipalId()`
`int`
`getSubTenantCount()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedApplicationObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedApplicationObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedClientObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedClientObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDirectoryObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDirectoryObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDomainObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDomainObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(String objectType)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(String objectType, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRegistrarObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRegistrarObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRepositoryObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRepositoryObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedStackObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedStackObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedVaultObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedVaultObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`listBillingTransactions()`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`listBillingTransactions(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`listPaymentMethods()`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`listPaymentMethods(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`BillingTransaction`
`readBillingTransaction(String transactionId)`
`Meter`
`readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`readDefaultAllocatedClientObject()`
Administrative method that will only work for the "owner" of the tenant.
`PaymentMethod`
`readPaymentMethod(String paymentMethodId)`
`void`
`setBillingMethodPaymentId(String billingPaymentMethodId)`
`void`
`setBillingSubscriptionId(String billingSubscriptionId)`
`void`
`setDeployedApplicationCount(int deployedApplicationCount)`
`void`
`setDnsSlug(String dnsSlug)`
`void`
`setDomainId(String domainId)`
`void`
`setEnabled(boolean enabled)`
`void`
`setPlanKey(String planKey)`
`void`
`setPlatformId(String platformId)`
`void`
`setPrincipalId(String principalId)`
`void`
`setSubTenantCount(int subtenantCount)`
`void`
`update(com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
Updates the tenant with a payment method object.

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_PLAN_KEY

static final String FIELD_PLAN_KEY

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_ID

static final String FIELD_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_DOMAIN_ID

static final String FIELD_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_PLATFORM_ID

static final String FIELD_PLATFORM_ID

See Also:
  - Constant Field Values

### FIELD_BILLING_SUBSCRIPTION_ID

static final String FIELD_BILLING_SUBSCRIPTION_ID

See Also:
  - Constant Field Values

### FIELD_BILLING_PAYMENT_METHOD_ID

static final String FIELD_BILLING_PAYMENT_METHOD_ID

See Also:
  - Constant Field Values

### FIELD_DNS_SLUG

static final String FIELD_DNS_SLUG

See Also:
  - Constant Field Values

### FIELD_SUBTENANT_COUNT

static final String FIELD_SUBTENANT_COUNT

See Also:
  - Constant Field Values

### FIELD_DEPLOYED_APPLICATION_COUNT

static final String FIELD_DEPLOYED_APPLICATION_COUNT

See Also:
  - Constant Field Values

### FIELD_ENABLED

static final String FIELD_ENABLED

See Also:
  - Constant Field Values

## Method Details

### setPlanKey

void setPlanKey(String planKey)

### getPlanKey

String getPlanKey()

### setPrincipalId

void setPrincipalId(String principalId)

### getPrincipalId

String getPrincipalId()

### setDomainId

void setDomainId(String domainId)

### getDomainId

String getDomainId()

### setPlatformId

void setPlatformId(String platformId)

### getPlatformId

String getPlatformId()

Specified by:
  `getPlatformId` in interface `PlatformDocument`

### setDnsSlug

void setDnsSlug(String dnsSlug)

### getDnsSlug

String getDnsSlug()

### closeOut

void closeOut()

### setSubTenantCount

void setSubTenantCount(int subtenantCount)

### getSubTenantCount

int getSubTenantCount()

### setDeployedApplicationCount

void setDeployedApplicationCount(int deployedApplicationCount)

### getDeployedApplicationCount

int getDeployedApplicationCount()

### getEnabled

boolean getEnabled()

### setEnabled

void setEnabled(boolean enabled)

### listAllocatedObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects()

### listAllocatedObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(String objectType)

### listAllocatedObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(String objectType, org.gitana.platform.support.Pagination pagination)

### listAllocatedRepositoryObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRepositoryObjects()

### listAllocatedRepositoryObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRepositoryObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedDomainObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDomainObjects()

### listAllocatedDomainObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDomainObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedVaultObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedVaultObjects()

### listAllocatedVaultObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedVaultObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedClientObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedClientObjects()

### listAllocatedClientObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedClientObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedRegistrarObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRegistrarObjects()

### listAllocatedRegistrarObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRegistrarObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedStackObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedStackObjects()

### listAllocatedStackObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedStackObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedDirectoryObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDirectoryObjects()

### listAllocatedDirectoryObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDirectoryObjects(org.gitana.platform.support.Pagination pagination)

### listAllocatedApplicationObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedApplicationObjects()

### listAllocatedApplicationObjects

org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedApplicationObjects(org.gitana.platform.support.Pagination pagination)

### readDefaultAllocatedClientObject

com.fasterxml.jackson.databind.node.ObjectNode readDefaultAllocatedClientObject()
Administrative method that will only work for the "owner" of the tenant. Otherwise will return null.

Returns:
  default client configuration

### setBillingSubscriptionId

void setBillingSubscriptionId(String billingSubscriptionId)

### getBillingSubscriptionId

String getBillingSubscriptionId()

### setBillingMethodPaymentId

void setBillingMethodPaymentId(String billingPaymentMethodId)

### getBillingMethodPaymentId

String getBillingMethodPaymentId()

### listPaymentMethods

org.gitana.platform.support.ResultMap<PaymentMethod> listPaymentMethods()

### listPaymentMethods

org.gitana.platform.support.ResultMap<PaymentMethod> listPaymentMethods(org.gitana.platform.support.Pagination pagination)

### queryPaymentMethods

org.gitana.platform.support.ResultMap<PaymentMethod> queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryPaymentMethods

org.gitana.platform.support.ResultMap<PaymentMethod> queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readPaymentMethod

PaymentMethod readPaymentMethod(String paymentMethodId)

### createPaymentMethod

PaymentMethod createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)

### createPaymentMethod

PaymentMethod createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)

### listBillingTransactions

org.gitana.platform.support.ResultMap<BillingTransaction> listBillingTransactions()

### listBillingTransactions

org.gitana.platform.support.ResultMap<BillingTransaction> listBillingTransactions(org.gitana.platform.support.Pagination pagination)

### queryBillingTransactions

org.gitana.platform.support.ResultMap<BillingTransaction> queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryBillingTransactions

org.gitana.platform.support.ResultMap<BillingTransaction> queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readBillingTransaction

BillingTransaction readBillingTransaction(String transactionId)

### listMeters

org.gitana.platform.support.ResultMap<Meter> listMeters()

### listMeters

org.gitana.platform.support.ResultMap<Meter> listMeters(org.gitana.platform.support.Pagination pagination)

### queryMeters

org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryMeters

org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readCurrentMeter

Meter readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)

### update

void update(com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)
Updates the tenant with a payment method object.

Parameters:
  `paymentMethodObject` -